<?php
namespace Ondc\Exportcsv\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    /**
     * @param \Magento\Framework\App\Config\ScopeConfigInterface
     */
    protected $scopeConfig; 

    /**
     * Data constructor.
     * @param \Magento\Framework\App\Helper\Context $context
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        parent::__construct($context);
        $this->scope_config = $scopeConfig;
    }

    public function isEnabled()
    {
        return $this->scopeConfig->isSetFlag(
            'ondc/check/active',
            \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function isLogged()
    {
        $writer = new \Zend_Log_Writer_Stream(BP.'/pub/media/logs/ondcexportcsv.log');
        $logger = new \Zend_Log();
        return $logger->addWriter($writer);
    }

}